world leader in high performance signal processing
Trace:

Differences

This shows you the differences between two versions of the page.

installing_linux [2012/05/16 08:50]
grace add on more needed packages
installing_linux [2014/08/13 07:27] (current)
grace add libpixman-1-dev
Line 39: Line 39:
   * Install all the mandatory prerequisites for building c, c++ and kernel compiling<xterm>$ **sudo zypper install autoconf automake bash binutils bison bzip2 \   * Install all the mandatory prerequisites for building c, c++ and kernel compiling<xterm>$ **sudo zypper install autoconf automake bash binutils bison bzip2 \
    coreutils flex gawk gcc gettext grep intltool iputils libtool \    coreutils flex gawk gcc gettext grep intltool iputils libtool \
-   glibc-devel liblzo2-2 lzo-devel libncurses5 libglib2.0-dev \+   glibc-devel liblzo2-2 lzo-devel libncurses5 libglib2.0-dev libpixman-1-dev\
    m4 make pax-utils pkg-config rpm texinfo zlib**</xterm>    m4 make pax-utils pkg-config rpm texinfo zlib**</xterm>
   * Install packages required for Fortran development:<xterm>$ **sudo zypper install gpm gmp-devel libmpfr1 mpfr-devel**</xterm>   * Install packages required for Fortran development:<xterm>$ **sudo zypper install gpm gmp-devel libmpfr1 mpfr-devel**</xterm>
Line 61: Line 61:
    coreutils flex gawk gcc gettext grep intltool iputils-ping libtool \    coreutils flex gawk gcc gettext grep intltool iputils-ping libtool \
    linux-libc-dev liblzo2-dev liblzo2-2 libncurses5 libreadline5 \    linux-libc-dev liblzo2-dev liblzo2-2 libncurses5 libreadline5 \
-   libglib2.0-dev libreadline-gplv2-dev libncurses5-dev m4 +   libglib2.0-dev libreadline-gplv2-dev libncurses5-dev libpixman-1-dev 
-   make pax-utils pkg-config rpm texinfo zlib1g zlib1g-dev uuid-dev**+   m4 make pax-utils pkg-config rpm texinfo zlib1g zlib1g-dev uuid-dev**
 </xterm> </xterm>
   * Install packages required for Fortran development:<xterm>$ **sudo apt-get install libgmp3-dev libmpfr-dev**   * Install packages required for Fortran development:<xterm>$ **sudo apt-get install libgmp3-dev libmpfr-dev**